org.apache.jasper.compiler

## Class SmapStratum.LineInfo

- java.lang.Object
- - org.apache.jasper.compiler.SmapStratum.LineInfo

- Enclosing class:
    SmapStratum

      public static class SmapStratum.LineInfo
      extends Object

  Represents a single LineSection in an SMAP, associated with a particular stratum.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmapStratum.LineInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()` Retrieves the current LineInfo as a String, print all values only when appropriate (but LineInfoID if and only if it's been specified, as its necessity is sensitive to context).
    `void` | `setInputLineCount(int inputLineCount)` Sets InputLineCount.
    `void` | `setInputStartLine(int inputStartLine)` Sets InputStartLine.
    `void` | `setLineFileID(int lineFileID)` Sets lineFileID.
    `void` | `setOutputLineIncrement(int outputLineIncrement)` Sets OutputLineIncrement.
    `void` | `setOutputStartLine(int outputStartLine)` Sets OutputStartLine.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SmapStratum.LineInfo

          public SmapStratum.LineInfo()

  - ### Method Detail

    - #### setInputStartLine

          public void setInputStartLine(int inputStartLine)

      Sets InputStartLine.

    - #### setOutputStartLine

          public void setOutputStartLine(int outputStartLine)

      Sets OutputStartLine.

    - #### setLineFileID

          public void setLineFileID(int lineFileID)

      Sets lineFileID. Should be called only when different from that of prior LineInfo object (in any given context) or 0 if the current LineInfo has no (logical) predecessor. `LineInfo` will print this file number no matter what.

    - #### setInputLineCount

          public void setInputLineCount(int inputLineCount)

      Sets InputLineCount.

    - #### setOutputLineIncrement

          public void setOutputLineIncrement(int outputLineIncrement)

      Sets OutputLineIncrement.

    - #### getString

          public String getString()

      Retrieves the current LineInfo as a String, print all values only when appropriate (but LineInfoID if and only if it's been specified, as its necessity is sensitive to context).

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.